<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'realestate',

    /*
     * Package.
     */
    'package'   => 'payment',

    /*
     * Modules.
     */
    'modules'   => ['payment'],

    
    'payment'       => [
        'model' => [
            'model' => \Realestate\Payment\Models\Payment::class,
            'repository' => \Realestate\Payment\Repositories\Eloquent\PaymentRepository::class,
            'table' => 'payments',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'name',  'slug',  'user_id',  'user_type',  'deleted_at',  'created_at',  'updated_at'],
            'translatables' => [],
            'upload_folder' => 'payment/payment',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Realestate',
            'package' => 'Payment',
            'module' => 'Payment',
        ],
    ],
];
